services:
  yourls:
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    volumes:
      - "./data:/var/www/html"
    environment:
      - YOURLS_SITE=${YOURLS_EXTERNAL_URL}
      - YOURLS_USER=${USERNAME}
      - YOURLS_PASS=${PASSWORD}
      - YOURLS_DB_HOST=${PANEL_DB_HOST}:${PANEL_DB_PORT}
      - YOURLS_DB_NAME=${PANEL_DB_NAME}
      - YOURLS_DB_USER=${PANEL_DB_USER}
      - YOURLS_DB_PASS=${PANEL_DB_USER_PASSWORD}
      - YOURLS_DB_PREFIX=${PANEL_DB_PREFIX}
    image: yourls:1.10.3
    labels:  
      createdBy: "Apps"

networks:  
  opsmind-network:  
    external: true
